#!/usr/bin/env bash
set -euo pipefail

JAVA_ARGS=()
case "$(uname -m)" in
  arm64|aarch64)
    JAVA_ARGS+=(-XX:-UseOnStackReplacement)
    ;;
esac

exec /app/jre/bin/java "${JAVA_ARGS[@]}" -Djava.library.path=/app/lib -jar /app/share/@release_app_name@/@wire_share_jar_name@ "$@"
